package com.gree.mall.miniapp.bean.user;

import com.gree.mall.miniapp.enums.UserTypeEnum;
import com.gree.mall.miniapp.plus.entity.WorkerImg;
import com.gree.mall.miniapp.plus.entity.WorkerPolicy;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 分销员，师傅入驻
 * @author ：lijh
 * @description：TODO
 * @date ：2024/1/31 9:17
 */
@Data
@ApiModel
public class UserApplyBean {
    @ApiModelProperty("名称")
    private String name;
    @ApiModelProperty("类型 SERVICE=分销员 WORKER=师傅")
    private UserTypeEnum type;
    @ApiModelProperty(required = false, value = "网点id(师傅必传)")
    private String websitId;
    @ApiModelProperty(required = true, value = "身份证号")
    private String idCard;
    @ApiModelProperty(value = "身份证图片")
    private String idCardImg;

    @ApiModelProperty(value = "师傅编号")
    private String workerNumber;
    @ApiModelProperty("其他图片")
    private List<WorkerImg> workerImgs;

    @ApiModelProperty("是否购买")
    private String isBuy;


    @ApiModelProperty("银行卡")
    private String bankAccount;

    @ApiModelProperty("身份证开始日期")
    private Date idCardStartTime;

    @ApiModelProperty("身份证结束日期")
    private Date idCardEndTime;


    @ApiModelProperty("高空证开始日期")
    private Date startTime;


    @ApiModelProperty("高空证结束日期")
    private Date endTime;

    @ApiModelProperty("高空证号码")
    private String number;

    @ApiModelProperty("高空证复审日期")
    private Date hightExamineTime;


    @ApiModelProperty("意外险信息")
    private WorkerPolicy workerPolicy;

}
