package com.gree.mall.manager.bean.letter;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.LeletterExamineEnum;
import com.gree.mall.manager.enums.LetterStatusEnum;
import com.gree.mall.manager.plus.entity.LeLetter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class LeLetterVO  {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    @TableId(value = "le_letter_id", type = IdType.ID_WORKER_STR)
    private String leLetterId;

    @ApiModelProperty(value = "下发时间")
    private Date sendTime;

    @ApiModelProperty(value = "联络函编号")
    private String letterNumber;

    @ApiModelProperty(value = "状态")
    private LetterStatusEnum status;

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "本年所发函件次数")
    private Integer letterNum;

    @ApiModelProperty(value = "本年该单位所发函件次数")
    private Integer letteWebsitNum;

    @ApiModelProperty(value = "工单编号")
    private String orderId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工单类型")
    private String orderSmallType;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ApiModelProperty(value = "工单创建时间")
    private Date orderCreateTime;


    @ApiModelProperty(value = "考核项目")
    private String projectName;

    @ApiModelProperty(value = "考核条例")
    private String projectReg;

    @ApiModelProperty(value = "考核规定")
    private String projectText;

    @ApiModelProperty(value = "考核金额")
    private BigDecimal price;

    @ApiModelProperty(value = "考核分数")
    private BigDecimal fraction;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "所属科室")
    private String dapartment;



    @ApiModelProperty(value = "审批人")
    private String examineName;

    @ApiModelProperty(value = "审批结果")
    private LeletterExamineEnum examineStatus;

    @ApiModelProperty(value = "审批时间")
    private Date examineTime;

    @ApiModelProperty(value = "最终考核金额")
    private BigDecimal examinePrice;

    @ApiModelProperty(value = "最终考核分值")
    private BigDecimal examineFration;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;
}
