package com.gree.mall.manager.bean.letter;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import com.gree.mall.manager.plus.entity.LeProject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class LeProjectVO  {


    @ZfireField(hide = true)
    @TableId(value = "project_id", type = IdType.ID_WORKER_STR)
    private String projectId;

    @ApiModelProperty(value = "考核项目")
    private String projectName;

    @ApiModelProperty(value = "考核条例")
    private String projectReg;

    @ApiModelProperty(value = "考核规定")
    private String projectText;

    @ApiModelProperty(value = "考核分数")
    private BigDecimal fraction;

    @ApiModelProperty(value = "考核金额")
    private BigDecimal price;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

}
