package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.ExamineWorkerStatusEnum;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.UserTypeEnum;
import com.gree.mall.manager.plus.entity.User;
import com.gree.mall.manager.plus.entity.WebsitUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class UserVO     {

    @ZfireField(hide = true, tbName = "b")
    private String id;

    @ZfireField(hide = true)
    private String userId;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ZfireField( tbName = "c")
    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;


    @ZfireField(tbName = "b")
    @ApiModelProperty("网点编号")
    private String websitId;

    @ZfireField(tbName = "c", colName = "name", ignoreSelect = true)
    @ApiModelProperty("网点名称")
    private String websitName;

    @ZfireField(tbName = "a")
    @ApiModelProperty("师傅编号")
    private String workerNumber;

    @ApiModelProperty("师傅名称")
    private String nickName;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ApiModelProperty("身份证")
    private String idCard;


    @ZfireField(hide = true, tbName = "b")
    private String slaveWorkerId;


    @ApiModelProperty("用户类型")
    private UserTypeEnum type;

    @ZfireField(tbName = "b")
    @ApiModelProperty("状态")
    private ExamineWorkerStatusEnum examineStatus;

    @ZfireField(tbName = "b")
    @ApiModelProperty("审批人")
    private String examineBy;

    @ZfireField(tbName = "b")
    @ApiModelProperty("审批时间")
    private Date examineTime;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "过期提醒")
    private String overdueRemark;

    @ZfireField(tbName = "b")
    @ApiModelProperty("银行卡")
    private String bankAccount;

    @ZfireField(tbName = "b")
    @ApiModelProperty("是否有快过期")
    private IsYesNoEnum isOverdue;

//    @ApiModelProperty("是否允许二手商城发布")
//    private IsEnum isEs;

    @ZfireField(tbName = "b")
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("修改时间")
    private Date updateTime;

    @ZfireField(tbName = "c",hide = true)
    @ApiModelProperty("网点属性 SELF=自建网点 MAJOR=第三方专业网点 MERCHANT=第三方经销商家网点")
    private String attr;
}
