package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPartsSalesWVO {

    @ApiModelProperty("销售单号")
    private String id;

//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty("销售类型")
    private BuyPeopleEnum buyPeople;

    @ApiModelProperty("申请类别")
    private PartsApplyCategoryEnum applyCategory;

//    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty("网点名称")
    private String websitName;

    @ApiModelProperty("申请类型")
    private PartsApplyTypeEnum applyType;

    @ApiModelProperty("发货方式")
    private DeliveryTypeEnum deliveryType;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ApiModelProperty("接收单位")
    private String receiveUnit;

    @ApiModelProperty("发货单位")
    private String deliveryUnit;

    @ZfireField(hide = true)
    @ApiModelProperty("省")
    private String province;

    @ZfireField(hide = true)
    @ApiModelProperty("市")
    private String city;

    @ZfireField(hide = true)
    @ApiModelProperty("区")
    private String area;

    @ZfireField(tbName = "a")
    @ApiModelProperty("详细地址")
    private String addr;

    @ApiModelProperty("购买方式")
    private SourceSalesEnum orderSource;

    @ApiModelProperty("订单状态")
    private PartsOrderStatusEnum status;

    @ApiModelProperty("支付状态")
    private PartsPayFlagEnum payFlag;

    @ZfireField(hide = true, ignoreSelect = true)
    @ApiModelProperty("网点提货标识0-可提货 1-不可提货")
    private Integer deliveryConfirmFlag;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("错误原因")
    private String err;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "小程序/公众号")
    private String source;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓储id")
    private String storageId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "仓储名称")
    private String storageName;
}
