package com.gree.mall.manager.bean.notice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.NoticeWebsitEnum;
import com.gree.mall.manager.plus.entity.NoticeWebsit;
import com.gree.mall.manager.plus.entity.NoticeWebsitRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class NoticeWebsitRecordVO    {


    @ZfireField(tbName = "a",hide = true)
    @TableId(value = "notice_websit_id", type = IdType.ID_WORKER_STR)
    private String noticeWebsitId;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "文件标题")
    private String title;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "来源部门")
    private String deptName;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "文件编号")
    private String code;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "通知类型")
    private NoticeWebsitEnum type;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "发布日期")
    private Date issueTime;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "发布人名称")
    private String issueNickName;

    @ZfireField(hide = true,tbName = "b")
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "接收时间")
    private Date readTime;

    @ApiModelProperty(value = "是否已接收")
    private IsYesNoEnum readFlag;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "网点编号")
    private String adminWebsitId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "网点名称")
    private String adminWebsitName;

}
