package com.gree.mall.manager.bean.notice;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.NoticeWebsitEnum;
import com.gree.mall.manager.enums.NoticeWebsitStatusEnum;
import com.gree.mall.manager.plus.entity.NoticeWebsit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class NoticeWebsitVO   {

    @ZfireField(hide = true)
    @TableId(value = "notice_websit_id", type = IdType.ID_WORKER_STR)
    private String noticeWebsitId;

    @ApiModelProperty(value = "文件标题")
    private String title;

    @ApiModelProperty(value = "来源部门")
    private String deptName;

    @ApiModelProperty(value = "文件编号")
    private String code;


    @ApiModelProperty(value = "通知类型")
    private NoticeWebsitEnum type;

    @ApiModelProperty(value = "状态")
    private NoticeWebsitStatusEnum status;

    @ApiModelProperty(value = "发布日期")
    private Date issueTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "发布人id")
    private String issueUserId;

    @ApiModelProperty(value = "发布人名称")
    private String issueNickName;


    @ApiModelProperty(value = "创建人（制单人）")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "接收网点数量")
    private Integer num;

}
